hush_test: stop mixing tabs/spaces for indentation

Signed-off-by: Mike Frysinger <vapier@gentoo.org>
This commit is contained in:
Mike Frysinger 2009-06-01 16:33:05 -04:00
parent a1e5ebe9bd
commit eab40e5885

View File

@ -10,8 +10,8 @@ unset LC_TIME
unset LC_ALL unset LC_ALL
test -x hush || { test -x hush || {
echo "No ./hush - creating a link to ../../busybox" echo "No ./hush - creating a link to ../../busybox"
ln -s ../../busybox hush ln -s ../../busybox hush
} }
if test -e ../../.config ; then if test -e ../../.config ; then
eval $(sed -e '/^#/d' -e '/^$/d' -e 's:^:export :' ../../.config) eval $(sed -e '/^#/d' -e '/^$/d' -e 's:^:export :' ../../.config)
@ -25,48 +25,48 @@ export THIS_SH
do_test() do_test()
{ {
test -d "$1" || return 0 test -d "$1" || return 0
d=${d%/} d=${d%/}
# echo Running tests in directory "$1" # echo Running tests in directory "$1"
( (
tret=0 tret=0
cd "$1" || { echo "cannot cd $1!"; exit 1; } cd "$1" || { echo "cannot cd $1!"; exit 1; }
for x in run-*; do for x in run-*; do
test -f "$x" || continue test -f "$x" || continue
case "$x" in case "$x" in
"$0"|run-minimal|run-gprof) ;; "$0"|run-minimal|run-gprof) ;;
*.orig|*~) ;; *.orig|*~) ;;
#*) echo $x ; sh $x ;; #*) echo $x ; sh $x ;;
*) *)
sh "$x" >"../$1-$x.fail" 2>&1 && \ sh "$x" >"../$1-$x.fail" 2>&1 && \
{ echo "$1/$x: ok"; rm "../$1-$x.fail"; } || echo "$1/$x: fail"; { echo "$1/$x: ok"; rm "../$1-$x.fail"; } || echo "$1/$x: fail";
;; ;;
esac esac
done done
# Many bash run-XXX scripts just do this, # Many bash run-XXX scripts just do this,
# no point in duplication it all over the place # no point in duplication it all over the place
for x in *.tests; do for x in *.tests; do
test -x "$x" || continue test -x "$x" || continue
name="${x%%.tests}" name="${x%%.tests}"
test -f "$name.right" || continue test -f "$name.right" || continue
# echo Running test: "$x" # echo Running test: "$x"
( (
"$THIS_SH" "./$x" >"$name.xx" 2>&1 "$THIS_SH" "./$x" >"$name.xx" 2>&1
# filter C library differences # filter C library differences
sed -i \ sed -i \
-e "/: invalid option /s:'::g" \ -e "/: invalid option /s:'::g" \
"$name.xx" "$name.xx"
test $? -eq 77 && rm -f "../$1-$x.fail" && exit 77 test $? -eq 77 && rm -f "../$1-$x.fail" && exit 77
diff -u "$name.xx" "$name.right" >"../$1-$x.fail" && rm -f "$name.xx" "../$1-$x.fail" diff -u "$name.xx" "$name.right" >"../$1-$x.fail" && rm -f "$name.xx" "../$1-$x.fail"
) )
case $? in case $? in
0) echo "$1/$x: ok";; 0) echo "$1/$x: ok";;
77) echo "$1/$x: skip (feature disabled)";; 77) echo "$1/$x: skip (feature disabled)";;
*) echo "$1/$x: fail"; tret=1;; *) echo "$1/$x: fail"; tret=1;;
esac esac
done done
exit ${tret} exit ${tret}
) )
} }
# Main part of this script # Main part of this script
@ -75,19 +75,19 @@ do_test()
ret=0 ret=0
if [ $# -lt 1 ]; then if [ $# -lt 1 ]; then
# All sub directories # All sub directories
modules=`ls -d hush-*` modules=`ls -d hush-*`
for module in $modules; do for module in $modules; do
do_test $module || ret=1 do_test $module || ret=1
done done
else else
while [ $# -ge 1 ]; do while [ $# -ge 1 ]; do
if [ -d $1 ]; then if [ -d $1 ]; then
do_test $1 || ret=1 do_test $1 || ret=1
fi fi
shift shift
done done
fi fi
exit ${ret} exit ${ret}